Subject: bug#79070: [PATCH] Fix macOS dictation post NSTextInputClient migration in v30

From: Gerd Möllmann <[email-masked]>
Date: Wed, 23 Jul 2025 16:28:36 +0200

Stéphane Marks <[email-masked]> writes:

> Forward is good. I see only the conventional UI on macOS 12 across all
> other apps and NSTextInputClient is available since macOS 10. I think
> any commentary should say something like "visual presentation may vary
> across macOS versions."

It's not just the UI. In macOS 14, the dictation system has been
reworked to e.g. allow simultaneous dictation and keyboard input. If you
see the old UI, that means that you don't get that feature. I don't
think that Emacs and especially PROBLEMS should explain that. MacOS
users should know.